Webhooks
List inbound hook endpoints
Lists the workspace’s inbound hook endpoints (cloud event gateway). Scoped to the caller’s company, and further filtered to the resolved subject tenant user when one is resolved. Ordered by createdAt descending. Secrets are never returned here — only secret_set.
GET
/
v1
/
hooks
List inbound hook endpoints
curl --request GET \
--url https://api.usenaive.ai/v1/hooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usenaive.ai/v1/hooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usenaive.ai/v1/hooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoints": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"active": true,
"lastEventAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"secret_set": true
}
],
"count": 123
}{
"error": {
"message": "<string>",
"hint": "<string>",
"reason": "<string>"
}
}{
"error": {
"message": "<string>",
"hint": "<string>",
"reason": "<string>"
}
}{
"error": {
"message": "<string>",
"hint": "<string>",
"reason": "<string>"
}
}⌘I
List inbound hook endpoints
